#include <iostream>

using namespace std;

int main()
{
    int N,i,H,L,x;
    cin>>N>>L;
    i=1;
    x=0;
    while(N>=i){
        cin>>H;
        if(x==0){if(H<L){x=i;}}
        i=i+1;
    }
    if(x>0){cout<<x;}
    else{cout<<-1;}
    return 0;
}